Subject: Adaptec 274x PRE-ALPHA driver available
From: [email-masked] (John Aycock)
Date: 22 Jun 1994 19:32:31 GMT
Newsgroups: comp.os.linux.announce

It's available on ftp.cpsc.ucalgary.ca in the directory
/pub/systems/linux/aha274x.  From the README:

@(#)README 1.1 94/06/22 jda

AHA274x DRIVER

***  THIS SHOULD BE CONSIDERED PRE-ALPHA SOFTWARE.  USE AT YOUR OWN RISK  ***

BACKGROUND & LIMITATIONS

For various reasons, we ended up with one of these cards under the
impression that support was soon forthcoming.  In mid-May, I asked
Scott Ferris (the official person who's supposed to be writing this
driver) what documentation he used, _finally_ got it from Adaptec,
and started writing this driver.  It is now at what I would consider
a minimally usable state; it will be enhanced extensively in the next
two-three weeks since we need a production version yesterday, so any
feedback will be welcome, the sooner the better.

It supports EISA only, either single or twin-bus 274x cards (but not
the second SCSI bus of twin cards - see aha274x.c).  It does not support
synchronous SCSI nor disconnection yet, does not have abort() or reset()
implemented yet, and does not catch parity errors yet.  It is, as I said,
minimally usable.

I wrote this using a 1.0.9 kernel - I have no idea if it works on any
other kernel version, sorry.

This driver is subject to the copyright found in the source files.

INSTALLATION

1.  Copy aha274x.{c,h,_seq} to /usr/src/linux/drivers/scsi.  The other
        files can be ignored - they're an assembler for the sequencer's
        assembly language and the sequencer program source.
2.  Make the appropriate changes to /usr/src/linux/Makefile and
        /usr/src/linux/drivers/scsi/hosts.c.
3.  Do the configuration, dependency building, and rebuilding.
4.  BACK UP YOUR KERNEL AND DATA.  I'm not kidding.
5.  Reboot.
6.  Test it and send your comments/patches/&c to "[email-masked]".

Sorry the instructions aren't more complete, but if you can't fill
in the extra bits then you probably shouldn't be using this yet.
:ja

--
Mail submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.